Search Results for

Show / Hide Table of Contents

# Enum TextDirection

Text direction enumeration, controls how text is displayed.

###### Namespace: Terminal.Gui

###### Assembly: Terminal.Gui.dll

##### Syntax

    public enum TextDirection

### Fields

Name | Description
--- | ---
BottomTop_LeftRight | This is a vertical direction.
    O D
    L L
    L R
    E O
    H W
BottomTop_RightLeft | This is a vertical direction.
    D O
    L L
    R L
    O E
    W H
LeftRight_BottomTop | This is a horizontal direction.
    WORLD
    HELLO
LeftRight_TopBottom | Normal horizontal direction.
    HELLO
    WORLD
RightLeft_BottomTop | This is a horizontal direction.
    DLROW
    OLLEH
RightLeft_TopBottom | This is a horizontal direction. RTL
    OLLEH
    DLROW
TopBottom_LeftRight | Normal vertical direction.
    H W
    E O
    L R
    L L
    O D
TopBottom_RightLeft | This is a vertical direction.
    W H
    O E
    R L
    L L
    D O